Skip to content
GET /unified/accounting/company_info/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for company info

4 supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
addressesobject[]

The addresses of the company

4 supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
citystring

The city of the company

countrystring

The country of the company

postal_codestring

The postal code of the company

statestring

The state of the company

street_1string

The street 1 address of the company

street_2string

The street 2 address of the company

typestring

The type of the address

created_atstring · date-time

This represents the date when the company info was created

3 supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
currencystring

The currency of the company

3 supported
Oracle Netsuite
supported
Xero
supported
Zoho Books
supported
emailsobject[]
2 supported
QuickBooks
supported
Zoho Books
supported
emailstring

The company's email

typestring

The company's email type

fiscal_year_end_daystring

The fiscal year end day

1 supported
Xero
supported
fiscal_year_end_monthstring

The fiscal year end month

1 supported
Xero
supported
legal_namestring

The legal name of the company

3 supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
namestring

The name of the company

4 supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
phonesobject[]

The phone numbers of the company

2 supported
QuickBooks
supported
Zoho Books
supported
extensionstring

The extension of the phone number

numberstring

The phone number of the company

typestring

The type of the phone number

remote_dataRecord<string, any>

Raw data returned from the remote API call.

tax_numberstring

The tax number of the company

2 supported
Xero
supported
Zoho Books
supported
updated_atstring · date-time

This represents the date when the company info was updated

2 supported
Oracle Netsuite
supported
QuickBooks
supported
urlsstring[]

The urls of the company

2 supported
Xero
supported
Zoho Books
supported
curl -X GET 'https://api.truto.one/unified/accounting/company_info/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/company_info/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/company_info/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'accounting',
  'companyinfo',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "accounting",
        "companyinfo",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())